How can we brighten your day?


What iOS devices are supported?

Requires devices with Bluetooth 4.0/Bluetooth Smart running iOS 8.0+


  • iPhone 4S, iPhone 5, iPhone 5s, iPhone 5c, iPhone 6 and iPhone 6 Plus
  • iPad 3rd Gen, iPad 4th Gen, and iPad Air
  • iPad Mini and iPad Mini Retina
  • iPod 5th Gen

 Download the free ilumi app on iOS iTunes


To find the ilumi iOS app on your device, simply search "ilumi" and download the app. For iPad users, you'll need to search for "iPhone Apps only".

As Apple releases new versions of iOS, please ensure your device is updated to the latest version. There can be changes to the operating system that affect Bluetooth connectivity, so it's always best to stay up-to-date and be informed of how OS updates will affect your device. 

Please note: As technology changes, we will make every effort to remain backwards compatible for as long as we can. As changes are made to your device's operating system, sometimes important and necessary changes are made that prevents ilumi from working at an optimal level on earlier versions. After careful review and testing, we may make the decision to change our minimum supported requirements. Please reach out to if you have any questions!

Was this article helpful?
1 out of 1 found this helpful
Have more questions? Submit a request